---
search:
  tags:
    - Host
    - PUT
seo:
  description: >-
    Only the Athena platform's own keys for this event may call… Reference for
    the PUT /api/admin/host/allocation endpoint in the Athena Attack/Defence
    Admin API.
sidebar:
  label: Deliver the admitted host shape the engine composes desired state from
  badge: PUT
title: Deliver the admitted host shape the engine composes desired state from
type: openapi-operation
---
Only the Athena platform's own keys for this event may call this, as part of provisioning its host. An organizer API key is refused with 403.

`PUT /api/admin/host/allocation`

**Request body** (`application/json`, required)

- `allocationOperationId` (string, required)
- `hostImageVersion` (string, required)
- `addressPlan` (string, required)
- `networkProfile` (string, required)
- `teamLimits` (object, required)
- `admittedTeamCount` (integer, required)
- `maxAdmittedTeams` (integer, required)
- `egressAllowlist` (object[], required)
- `serviceInventoryRevision` (string, required)

Request body example:

```json
{
  "allocationOperationId": "string",
  "hostImageVersion": "string",
  "addressPlan": "athena-ipv4-v1",
  "networkProfile": "string",
  "teamLimits": {
    "cpu": 1,
    "memoryMib": 1,
    "diskGib": 1,
    "pids": 1
  },
  "admittedTeamCount": 1,
  "maxAdmittedTeams": 1,
  "egressAllowlist": [
    {
      "version": 1,
      "cidr": "string",
      "port": 1,
      "protocol": "tcp",
      "packetsPerSecond": 1,
      "burstPackets": 1
    }
  ],
  "serviceInventoryRevision": "string"
}
```

**Responses**

- `200` — Success
- `401` — Unauthorized
- `403` — Response for status 403
- `409` — Response for status 409
- `422` — Validation failed
- `500` — Unhandled server error

Response example, 200:

```json
{
  "allocationOperationId": "string",
  "delivered": true
}
```
